#
# Cookbook Name:: ruby_rbenv
# Resource:: gem
#
# Author:: Fletcher Nichol <fnichol@nichol.ca>
#
# Copyright 2011, Fletcher Nichol
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

actions :install, :upgrade, :remove, :purge
default_action :install

provides :rbenv_gem

attribute :package_name,  kind_of: String, name_attribute: true
attribute :rbenv_version, kind_of: String, default: 'global'
attribute :version,       kind_of: String
attribute :response_file, kind_of: String
attribute :source,        kind_of: String
attribute :options,       kind_of: [String, Hash]
attribute :gem_binary,    kind_of: String
attribute :user,          kind_of: String
attribute :root_path,     kind_of: String
attribute :clear_sources, kind_of: [TrueClass, FalseClass]
attribute :timeout,       kind_of: Integer, default: 300

include Chef::Rbenv::Mixin::ResourceString

def initialize(*args)
  super
  @provider = Chef::Provider::Package::RbenvRubygems
end
