# Contributing to chef-rvm

Source is hosted at [GitHub][repo]
Report issues/Questions/Feature requests on [GitHub Issues][issues]

## Please don't

* Modify the version in the metadata.rb file (we'll handle that for releases)
* Modify the CHANGELOG (we'll also handle that for releases)

## Please do

* Follow the guidelines in the `CODE_OF_CONDUCT.md` file
* Document as much as possible, even for simple changes. This will help with understanding your patch and reasoning.
* Add test coverage for changes where applicable

## Steps to contributing

1. Fork it
2. Create your feature branch (git checkout -b my-new-feature)
3. Commit your changes (git commit -am 'Added some feature')
4. Push to the branch (git push origin my-new-feature)
5. Create new Pull Request

[repo]:         https://github.com/fnichol/chef-rvm
[issues]:       https://github.com/fnichol/chef-rvm/issues
